import Editor from '../../src/modules';

describe('template spec', () => {
  const container = document.createElement('div');
  const canvas = document.createElement('canvas');

  it('setGrid 옵션 없으면 grid가 노출', () => {
    const editor = new Editor({ canvas, canvasContainer: container });
    editor.init();

    expect(editor.scene.getObjectByName('GRID_HELPER_GROUP')).exist;
  });

  it('setGrid 옵션 false면 grid가 노출되지 않음', () => {
    const editor = new Editor({ canvas, canvasContainer: container, defaultGrid: false });
    editor.init();

    expect(editor.scene.getObjectByName('GRID_HELPER_GROUP')).not.exist;
  });
});
